/*
* This file is the style for whole PERSEO's map
* all rights granted to PERSEO's team.
* Author: PERSEO's development squad.
* Placed on Tepic, Nayarit, México.
*/

html, body, #map{
  color: rgb(51, 51, 51);
  height: 100vh;
  width: 100%;
  margin: 0em;
}

#panelLogo{
  position: absolute;
  top: 6em;
  left: .5em;
}

/*Animaciones de aparición*/

@keyframes fade-in-tree {
  0%{
    opacity: 0;
    transform: translateY(-8em);
  }

  25%{
    opacity: 0;
    transform: translateY(-5em);
  }

  75%{
    opacity: 0.5;

  }

  100%{
    opacity: 1;
    transform: translateY(0em);
  }
}

@keyframes fade-out-tree {
  0%{
    opacity: 1;
    transform: translateY(0em);
  }

  25%{
    opacity: 0.8;
  }

  40%{
    opacity: 0;
  }

  100%{
    opacity: 0;
    transform: translateY(-15em);
  }
}

@keyframes up-and-down {
  0%{
    transform: translateY(-0.15em);
  }
  50%{
    transform: translateY(0.15em);
  }
  100%{
    transform: translateY(-0.15em);
  }
}

@keyframes rotate180 {
  0%{
    transform: rotate(-360deg);
  }
  100%{
    transform: rotate(180deg);
  }
}

/*Clases para las animaciones*/


.fade-in-tree{
  animation-name: fade-in-tree;
  animation-duration: 0.5s;
}

.fade-out-tree{
  animation-name: fade-out-tree;
  animation-duration: 1s;
}

.up-and-down{
  animation-name: up-and-down;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  text-decoration: none;
}

.rotate180{
  animation-name: rotate180;
  animation-duration: 0.5s;
}
/*clases del arbol de capas*/

.floating-logo{
  border-radius: 0.2em;
  background-color: rgb(224, 224, 224);
  transition: ease 0.2s;
  position: relative;
  display: inline-grid;
  text-align: center;
  z-index: 99;
}

.floating-logo,.arbolCapas{
  box-shadow: 0px 5px 15px #717171;
}

.floating-logo img.logo{
  position: relative;
  height: 8em;
  padding: 0.5em;
}

.floating-logo .actions{
  transition: ease 0.4s;
}

.actions > a{
  display: block;
  color: rgb(51, 51, 51);
  text-decoration: none;
}

.floating-logo .actions:hover{
  background-color: rgb(203, 203, 203);
  transition: ease 0.2s;
}

.floating-logo .actions .material-icons{
  padding-top: 0.2em;
  font-size: 2em;
}

.ol-control button{
  display: none;
}

.arbolCapas{
  margin-top: 0.5em;
  background-color: rgb(228, 228, 228);
  border-radius: 0.2em;
  z-index: 98;
}

.arbolCapas p{
  margin: 0em;
  padding-top: 0.5em;
  padding-bottom: 0.2em;
  text-align: center;
  font-size: 1.1em;
  border-bottom: solid 3px rgb(176, 175, 175);
}

.arbolCapas ul{
  padding: 0em;
}

.arbolCapas ul.listaCapas{
  margin: 0em;
  max-height: calc(100vh - 20em);
  overflow-y: auto;
}

.arbolCapas ul.listaCapas li{
  list-style-type: none;
}

.arbolCapas ul.listaCapas li > a{
  padding: 0.5em 1.5em;
  font-size: 1em;
  text-decoration: none;
  display: block;
  color: rgb(51, 51, 51);
  transition: ease 0.2s;
}

.arbolCapas ul.listaCapas li > a.activa{
  background-color: rgb(203, 203, 203);
  transition: ease 0.2s;
}

.arbolCapas ul.listaCapas li > a:hover{
  background-color: rgb(168, 166, 166);
  transition: ease 0.2s;
  cursor: pointer;
}

.scrollHide::-webkit-scrollbar {
  display: none; /* Chrome, Safari and Opera */
}
.scrollHide{
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.hide{
  display: none;
}

.arbolCapas>p.encabezado{
  background-color: #395461;
  border-radius: 0.2em 0.2em 0em 0em;
  color: white;
  font-weight: bold;
}

.arbolCapas .titulo{
  background-color: #66808c;
  color: white;
}

.selectZoom{
  position: fixed;
  right: 7em;
  top: 13.8em; 
  z-index: 99;
}
.selectZoom option{
  margin: 0.3em;
}

.no-scroll{
  overflow-y: auto;
}
.no-scroll::-webkit-scrollbar {display:none;}
.no-scroll::-moz-scrollbar {display:none;}
.no-scroll::-o-scrollbar {display:none;}
.no-scroll::-google-ms-scrollbar {display:none;}
.no-scroll::-khtml-scrollbar {display:none;}

.posicion-cursor{
  position:fixed;
  right: .3em;
  bottom: 1.5em;
  z-index: 99;
  border-radius: 2px;
}

.ol-scale-line {
  left: 50%;
  transform: translate(-50%, 0);
  -ms-transform: translate(-50%, 0)
}

/* Absolute Center Spinner */
.loading {
  position: fixed;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

/* Transparent Overlay */
.loading:before {
  content: '';
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0, .8));

  background: -webkit-radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0,.8));
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
  /* hide "loading..." text */
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: '';
  display: block;
  font-size: 10px;
  width: 1em;
  height: 1em;
  margin-top: -0.5em;
  -webkit-animation: spinner 1500ms infinite linear;
  -moz-animation: spinner 1500ms infinite linear;
  -ms-animation: spinner 1500ms infinite linear;
  -o-animation: spinner 1500ms infinite linear;
  animation: spinner 1500ms infinite linear;
  border-radius: 0.5em;
  -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
.info-text{
  font-size: 14px;
}
/*Custom para botones de mensajes swal*/
.swal-button--chart{
  background-color: #576574;
}
.swal-button--chart:hover{
  background-color: #222f3e !important;
}
.swal-button{
  border: 1px solid gray;
}
.swal-wide{
  width: 50% !important;
}
/* Inicio reglas caja de herramientas */
.version{
  z-index: 99;
  position: fixed;
  top: 7.5em;
  right: .5em;
  border: 1px solid black;
  font-size: 12px
}
.version:hover{
  cursor: pointer;
}
.pronasif{
  z-index: 99;
  position: fixed;
  top: 7.5em;
  right: 8em;
  border: 1px solid black;
  font-size: 12px
}
.covid{
  z-index: 99;
  position: fixed;
  top: 7.5em;
  left: .5em;
  border: 1px solid black;
  font-size: 12px;
  font-weight: bold;
}
.parpadea {
  
  animation-name: parpadeo;
  animation-duration: 1s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;

  -webkit-animation-name:parpadeo;
  -webkit-animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
}

@-moz-keyframes parpadeo{  
  0% { opacity: 1.0; }
  50% { opacity: .7; }
  100% { opacity: 1.0; }
}

@-webkit-keyframes parpadeo {  
  0% { opacity: 1.0; }
  50% { opacity: .7; }
  100% { opacity: 1.0; }
}

@keyframes parpadeo {  
  0% { opacity: 1.0; }
  50% { opacity: .7; }
  100% { opacity: 1.0; }
}

.caja-herramientas{
    top: 8em;
    position: fixed;
    z-index: 99;
    right: .5em;
    background-color: #636e72;
    border-radius: 15px;
}

.btn-caja-herramientas{
    border-radius: 7px;
    width: 100%;
}

.escala{
  margin: 0em;
  width: 230px;
  height: 30px;
}

/* Fin reglas caja de herramientas */